summaryrefslogtreecommitdiffstats
path: root/source/x/libvdpau
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/x/libvdpau
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/x/libvdpau')
-rw-r--r--source/x/libvdpau/doinst.sh17
-rwxr-xr-xsource/x/libvdpau/libvdpau.SlackBuild108
-rwxr-xr-xsource/x/libvdpau/profile.d/vdpau.csh22
-rwxr-xr-xsource/x/libvdpau/profile.d/vdpau.sh22
-rw-r--r--source/x/libvdpau/slack-desc19
5 files changed, 188 insertions, 0 deletions
diff --git a/source/x/libvdpau/doinst.sh b/source/x/libvdpau/doinst.sh
new file mode 100644
index 000000000..e184d4720
--- /dev/null
+++ b/source/x/libvdpau/doinst.sh
@@ -0,0 +1,17 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/vdpau_wrapper.cfg.new
+config etc/profile.d/vdpau.sh.new
+config etc/profile.d/vdpau.csh.new
+
diff --git a/source/x/libvdpau/libvdpau.SlackBuild b/source/x/libvdpau/libvdpau.SlackBuild
new file mode 100755
index 000000000..e0ee6e002
--- /dev/null
+++ b/source/x/libvdpau/libvdpau.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for libvdpau
+
+# Copyright 2009-2015 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2012-2013 Edward Koenig, Vancouver, WA, USA
+# Copyright 2014, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=libvdpau
+VERSION=${VERSION:-$(echo libvdpau-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+NUMJOBS=${NUMJOBS:--j6}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/etc/profile.d
+cp -a $CWD/profile.d/vdpau.sh $PKG/etc/profile.d/vdpau.sh.new
+cp -a $CWD/profile.d/vdpau.csh $PKG/etc/profile.d/vdpau.csh.new
+chown root:root $PKG/etc/profile.d/*
+chmod 755 $PKG/etc/profile.d/*
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Don't clobber the config file on upgrades
+mv $PKG/etc/vdpau_wrapper.cfg $PKG/etc/vdpau_wrapper.cfg.new
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/x/libvdpau/profile.d/vdpau.csh b/source/x/libvdpau/profile.d/vdpau.csh
new file mode 100755
index 000000000..e2d18c181
--- /dev/null
+++ b/source/x/libvdpau/profile.d/vdpau.csh
@@ -0,0 +1,22 @@
+#!/bin/csh
+
+# Disable debugging output of the vdpau backend
+setenv VDPAU_LOG 0
+
+# Use the vdpau backend of the nvidia binary driver
+#setenv VDPAU_DRIVER "nvidia"
+
+# Use the vdpau backend of the nouveau driver
+#setenv VDPAU_DRIVER "nouveau"
+
+# Use the vdpau backend of the r300 driver
+#setenv VDPAU_DRIVER "r300"
+
+# Use the vdpau backend of the r600 driver
+#setenv VDPAU_DRIVER "r600"
+
+# Use the vdpau backend of the radeonsi driver
+#setenv VDPAU_DRIVER "radeonsi"
+
+# Use the va-api/opengl backend
+#setenv VDPAU_DRIVER "va_gl"
diff --git a/source/x/libvdpau/profile.d/vdpau.sh b/source/x/libvdpau/profile.d/vdpau.sh
new file mode 100755
index 000000000..918312e21
--- /dev/null
+++ b/source/x/libvdpau/profile.d/vdpau.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+# Disable debugging output of the vdpau backend
+export VDPAU_LOG=0
+
+# Use the vdpau backend of the nvidia binary driver
+#export VDPAU_DRIVER="nvidia"
+
+# Use the vdpau backend of the nouveau driver
+#export VDPAU_DRIVER="nouveau"
+
+# Use the vdpau backend of the r300 driver
+#export VDPAU_DRIVER="r300"
+
+# Use the vdpau backend of the r600 driver
+#export VDPAU_DRIVER="r600"
+
+# Use the vdpau backend of the radeonsi driver
+#export VDPAU_DRIVER="radeonsi"
+
+# Use the va-api/opengl backend
+#export VDPAU_DRIVER="va_gl"
diff --git a/source/x/libvdpau/slack-desc b/source/x/libvdpau/slack-desc
new file mode 100644
index 000000000..a2628b91e
--- /dev/null
+++ b/source/x/libvdpau/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libvdpau: libvdpau (VDPAU wrapper library)
+libvdpau:
+libvdpau: This package contains the libvdpau wrapper library and the
+libvdpau: libvdpau_trace debugging library, along with the header files needed
+libvdpau: to build VDPAU applications. To actually use a VDPAU device, you
+libvdpau: need a vendor-specific implementation library, like the one
+libvdpau: shipped with nvidia's binary graphics driver.
+libvdpau:
+libvdpau: Homepage: http://cgit.freedesktop.org/~aplattner/libvdpau
+libvdpau:
+libvdpau: